# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#                                                                             #
# Comparing group means over k groups                                         #
# (c) 2011 Jrg Henseler                                                      #
#                                                                             #
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
rm(list = ls())					#deletes all existing objects
set.seed(5)					#arbitrary random number generator seed

data_file_name <- "c:/k-groups/QualComp.csv"	#data file for one parameter
						#contains the bootstrap results of one group in each column
delimiter <- ";"				#define delimiter
separator <- ","				#define decimal sepator
MCruns    <- 100				#define number of Monte Carlo runs

FR <- 0*(1:MCruns)
data <- as.matrix(read.table(file=data_file_name, sep=delimiter, dec=separator))
n<-dim(data)[1]

F0 <- n * var(colMeans(data)) / mean(diag(var(data)))

for (i in 1:MCruns){
  mcdata <- t(apply(data, 1, sample))
  FR[i] <- n * var(colMeans(mcdata)) / mean(diag(var(mcdata)))
}

P <- sum(FR>=F0) / MCruns
P
